Create New Elements

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V60 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp"
  }
}

Close
POST /profiles/{profile_id}/pages/{page_id}/elements

Headers

  • Authorization string

    e.g. Bearer {access_token}

Path parameters

  • profile_id string Required

    id of the profile

  • page_id number Required

    id of the page

application/json

Body

  • name string Required
  • label string Required
  • description string
  • data_type number Required
  • data_size number
  • widget_type string
  • sort_order number
  • optionlist_id number
  • default_value string
  • low_value number
  • high_value number
  • dynamic_value string
  • is_required boolean
  • condition_value string
  • client_validation string
  • is_disabled boolean
  • reference_id_1 string
  • is_readonly boolean
  • is_action boolean
  • validation_message string
  • smart_tbl_search_col string
  • is_encrypt boolean
  • is_hide_typing boolean
  • keyboard_type number
  • dynamic_label string
  • weighted_score number

Responses

  • 201 application/json

    Created

    Hide response attribute Show response attribute object
    • id number Required

      the created element id

POST /profiles/{profile_id}/pages/{page_id}/elements
curl \
 --request POST 'https://servername.iformbuilder.com/exzact/api/v60/profiles/self/pages/{page_id}/elements' \
 --header "Content-Type: application/json" \
 --header "Authorization: Bearer {access_token}" \
 --data '{
  "name": "inspection_date",
  "label": "Inspection Date and Time",
  "data_type": 5
}'
Request examples
{
  "name": "inspection_date",
  "label": "Inspection Date and Time",
  "data_type": 5
}
[
  {
    "name": "inspector_name",
    "label": "Inspector Name",
    "data_type": 1,
    "sort_order": 1
  },
  {
    "name": "photo_of_front_of_building",
    "label": "Photo of Building",
    "data_type": 11,
    "sort_order": 2
  }
]
Response examples (201)
{
  "id": 20483233
}
[
  {
    "id": 20483236
  },
  {
    "id": 20483245
  }
]